<?xml version="1.0" encoding="utf-8"?>
<androidx.cardview.widget.CardView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"
    app:cardBackgroundColor="@color/ui_surface"
    app:cardCornerRadius="8dp"
    app:cardElevation="0dp">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="300dp"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:paddingStart="16dp"
        android:paddingEnd="16dp"
        android:paddingBottom="24dp">

        <ScrollView
            android:layout_width="match_parent"
            android:layout_height="160dp"
            android:layout_marginTop="12dp"
            android:layout_marginBottom="16dp"
            android:background="@drawable/bg_shape_space_radius_4"
            android:fadeScrollbars="false"
            android:scrollbarStyle="outsideOverlay"
            android:scrollbarThumbVertical="@drawable/privacy_scrollbar_vertical"
            android:scrollbars="vertical"
            app:layout_constraintBottom_toTopOf="@id/descTv"
            app:layout_constraintTop_toBottomOf="@id/hintTv">

            <TextView
                android:id="@+id/contentTv"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:includeFontPadding="false"
                android:lineSpacingExtra="4dp"
                android:paddingStart="12dp"
                android:paddingTop="8dp"
                android:paddingEnd="12dp"
                android:paddingBottom="8dp"
                android:textColor="@color/text_secondary"
                android:textSize="@dimen/body_text_size" />
        </ScrollView>

        <LinearLayout
            android:id="@+id/titleContainer"
            android:layout_width="match_parent"
            android:layout_height="64dp"
            android:background="@color/ui_surface"
            android:gravity="center"
            android:orientation="horizontal"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <TextView
                android:id="@+id/privacyTitleTv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="4dp"
                android:text="欢迎使用光环助手"
                android:textColor="@color/text_primary"
                android:textSize="@dimen/secondary_title_text_size"
                android:textStyle="bold" />
        </LinearLayout>

        <TextView
            android:id="@+id/hintTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:includeFontPadding="false"
            android:lineSpacingExtra="1.5dp"
            android:text="欢迎使用光环助手！为了更好的保障您的个人权益，在使用本产品前，请您审慎阅读以下“光环助手用户协议及隐私政策”："
            android:textColor="@color/text_primary"
            android:textSize="@dimen/primary_text_size"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/titleContainer" />

        <TextView
            android:id="@+id/descTv"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="12dp"
            android:includeFontPadding="false"
            android:lineSpacingExtra="1.5dp"
            android:text="如您同意以上内容，请点击“同意”，开始使用我们的产品和服务！"
            android:textColor="@color/text_primary"
            android:textSize="@dimen/primary_text_size"
            app:layout_constraintBottom_toTopOf="@id/icpTv"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_goneMarginTop="16dp" />

        <TextView
            android:id="@+id/icpTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="12dp"
            android:layout_marginBottom="15dp"
            android:includeFontPadding="false"
            android:text="@string/icp_serial_numb_desc"
            android:textColor="@color/text_tertiary"
            android:textSize="@dimen/little_secondary_size"
            app:layout_constraintBottom_toTopOf="@id/refuseTv"
            app:layout_constraintStart_toStartOf="@id/descTv" />

        <TextView
            android:id="@+id/refuseTv"
            android:layout_width="126dp"
            android:layout_height="40dp"
            android:background="@drawable/bg_shape_f5_radius_999"
            android:gravity="center"
            android:text="不同意"
            android:textColor="@color/text_secondary"
            android:textSize="14sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent" />

        <TextView
            android:id="@+id/agreeTv"
            android:layout_width="126dp"
            android:layout_height="40dp"
            android:background="@drawable/button_blue_oval"
            android:gravity="center"
            android:text="同意"
            android:textColor="@color/white"
            android:textSize="14sp"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent" />


    </androidx.constraintlayout.widget.ConstraintLayout>
</androidx.cardview.widget.CardView>